Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOpenGLVolumeProVG500Mapper Class Reference

`#include <vtkOpenGLVolumeProVG500Mapper.h>`

Inheritance diagram for vtkOpenGLVolumeProVG500Mapper:

[legend]
Collaboration diagram for vtkOpenGLVolumeProVG500Mapper:

[legend]
List of all members.

## Detailed Description

Concrete class for VolumePRO mapper.

Date:
  2002/08/22 18:39:31

Revision:
  1.20

vtkOpenGLVolumeProVG500Mapper is the concrete implementation of a vtkVolumeProMapper based on the VG500 chip running with OpenGL. Users should not create this class directly - a vtkVolumeProMapper will automatically create the object of the right type.

This class is not included in the Rendering CMakeLists by default. If you want to add this class to your vtk build, you need to have the vli header and library files. Please see the vtkVolumeProVG500Mapper.h file for instructions on how to use the vli library with vtk.

For more information on the VolumePRO hardware, please see:

http://www.terarecon.com/3d_products.shtml

If you encounter any problems with this class, please inform Kitware, Inc. at kitware@kitware.com.

See also:
  vtkVolumeMapper vtkVolumeProMapper vtkVolumeProVG500Mapper

Created by:
  - Avila, Lisa

CVS contributions (if > 5%):
  - Avila, Lisa (75%)
  - Cedilnik, Andy (6%)
  - Hoffman, Bill (5%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkOpenGLVolumeProVG500Mapper.h)`
  - .`cxx` (`/Rendering/vtkOpenGLVolumeProVG500Mapper.cxx)`

Definition at line 63 of file vtkOpenGLVolumeProVG500Mapper.h.

## Public Types
typedef vtkVolumeProVG500Mapper | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkOpenGLVolumeProVG500Mapper * | SafeDownCast (vtkObject *o)
vtkOpenGLVolumeProVG500Mapper * | New ()
## Protected Methods
| vtkOpenGLVolumeProVG500Mapper ()
| ~vtkOpenGLVolumeProVG500Mapper ()
void | RenderHexagon (vtkRenderer *ren, vtkVolume *vol, VLIPixel *basePlane, int size[2], VLIVector3D hexagon[6], VLIVector2D textureCoords[6])

## Member Typedef Documentation

typedef vtkVolumeProVG500Mapper vtkOpenGLVolumeProVG500Mapper::Superclass

| Reimplemented from vtkVolumeProVG500Mapper. Definition at line 66 of file vtkOpenGLVolumeProVG500Mapper.h.

## Constructor & Destructor Documentation

vtkOpenGLVolumeProVG500Mapper::vtkOpenGLVolumeProVG500Mapper | ( |  | ) | `[inline, protected]`

| Definition at line 71 of file vtkOpenGLVolumeProVG500Mapper.h.

vtkOpenGLVolumeProVG500Mapper::~vtkOpenGLVolumeProVG500Mapper | ( |  | ) | `[inline, protected]`

| Definition at line 72 of file vtkOpenGLVolumeProVG500Mapper.h.

## Member Function Documentation

virtual const char* vtkOpenGLVolumeProVG500Mapper::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkVolumeProVG500Mapper.

int vtkOpenGLVolumeProVG500Mapper::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeProVG500Mapper.

virtual int vtkOpenGLVolumeProVG500Mapper::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkVolumeProVG500Mapper.

vtkOpenGLVolumeProVG500Mapper* vtkOpenGLVolumeProVG500Mapper::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkVolumeProVG500Mapper.

vtkOpenGLVolumeProVG500Mapper* vtkOpenGLVolumeProVG500Mapper::New | ( |  | ) | `[static]`

| Automatically create the proper subclass Reimplemented from vtkVolumeProVG500Mapper.

virtual void vtkOpenGLVolumeProVG500Mapper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkVolumeProVG500Mapper.

void vtkOpenGLVolumeProVG500Mapper::RenderHexagon | ( | vtkRenderer * | ren,
|  | vtkVolume * | vol,
|  | VLIPixel * | basePlane,
|  | int | size[2],
|  | VLIVector3D | hexagon[6],
|  | VLIVector2D | textureCoords[6]
| ) | `[protected]`

The documentation for this class was generated from the following file:

- Rendering/vtkOpenGLVolumeProVG500Mapper.h